# Interface: StringInsertion

## Table of contents

### Properties

- [index](../../devkit/documents/StringInsertion#index): number
- [text](../../devkit/documents/StringInsertion#text): string
- [type](../../devkit/documents/StringInsertion#type): Insert

## Properties

### index

• **index**: `number`

Place in the original text to insert new text

---

### text

• **text**: `string`

Text to insert into the original text

---

### type

• **type**: [`Insert`](../../devkit/documents/ChangeType#insert)
